Home

# Class goog.events.MouseWheelHandler

This event handler allows you to catch mouse wheel events in a consistent manner.

extends goog.events.EventTarget

Instance Method Summary

`disposeInternal()`

Unattach listeners from this object. Classes that extend EventTarget may need to override this method in order to remove references to DOM Elements and additional listeners, it should be something like this:

    MyClass.prototype.disposeInternal = function() {
    MyClass.superClass_.disposeInternal.call(this);
    // Dispose logic for MyClass
    };

| `handleEvent(?goog.events.BrowserEvent e)` Handles the events on the element.
| `setMaxDeltaX(number maxDeltaX)`
| `setMaxDeltaY(number maxDeltaY)`

Static Method Summary
| `smartScale_(number mouseWheelDelta, number scaleFactor) ⇒ number` Helper for scaling down a mousewheel delta by a scale factor, if appropriate.